typelist.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx
namespace | __gnu_cxx::typelist

## Macros

#define | _GLIBCXX_TYPELIST_CHAIN1(X0)
#define | _GLIBCXX_TYPELIST_CHAIN10(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9)
#define | _GLIBCXX_TYPELIST_CHAIN11(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10)
#define | _GLIBCXX_TYPELIST_CHAIN12(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11)
#define | _GLIBCXX_TYPELIST_CHAIN13(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12)
#define | _GLIBCXX_TYPELIST_CHAIN14(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13)
#define | _GLIBCXX_TYPELIST_CHAIN15(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14)
#define | _GLIBCXX_TYPELIST_CHAIN16(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15)
#define | _GLIBCXX_TYPELIST_CHAIN17(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15, X16)
#define | _GLIBCXX_TYPELIST_CHAIN18(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15, X16, X17)
#define | _GLIBCXX_TYPELIST_CHAIN19(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15, X16, X17, X18)
#define | _GLIBCXX_TYPELIST_CHAIN2(X0, X1)
#define | _GLIBCXX_TYPELIST_CHAIN20(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15, X16, X17, X18, X19)
#define | _GLIBCXX_TYPELIST_CHAIN3(X0, X1, X2)
#define | _GLIBCXX_TYPELIST_CHAIN4(X0, X1, X2, X3)
#define | _GLIBCXX_TYPELIST_CHAIN5(X0, X1, X2, X3, X4)
#define | _GLIBCXX_TYPELIST_CHAIN6(X0, X1, X2, X3, X4, X5)
#define | _GLIBCXX_TYPELIST_CHAIN7(X0, X1, X2, X3, X4, X5, X6)
#define | _GLIBCXX_TYPELIST_CHAIN8(X0, X1, X2, X3, X4, X5, X6, X7)
#define | _GLIBCXX_TYPELIST_CHAIN9(X0, X1, X2, X3, X4, X5, X6, X7, X8)

## Functions

template<typename Fn , typename Typelist >
void | __gnu_cxx::typelist::apply (Fn &, Typelist)
template<typename Gn , typename Typelist >
void | __gnu_cxx::typelist::apply_generator (Gn &, Typelist)
template<typename Gn , typename TypelistT , typename TypelistV >
void | __gnu_cxx::typelist::apply_generator (Gn &, TypelistT, TypelistV)
template<typename Fn , typename Typelist >
void | __gnu_cxx::typelist::apply_generator (Fn &fn, Typelist)
template<typename Fn , typename TypelistT , typename TypelistV >
void | __gnu_cxx::typelist::apply_generator (Fn &fn, TypelistT, TypelistV)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Contains typelist_chain definitions. Typelists are an idea by Andrei Alexandrescu.

Definition in file typelist.h.